Package org.apache.qpid.proton.amqp.messaging

# Class Target

java.lang.Object
org.apache.qpid.proton.amqp.messaging.Terminus
org.apache.qpid.proton.amqp.messaging.Target

All Implemented Interfaces:
  `Target`

public final class Target extends Terminus implements Target

## Constructor Summary

Constructors
Constructor
Description
`Target()`

## Method Summary

Modifier and Type
Method
Description
`Target`
`copy()`
`String`
`toString()`

### Methods inherited from class org.apache.qpid.proton.amqp.messaging.Terminus

`getAddress, getCapabilities, getDurable, getDynamic, getDynamicNodeProperties, getExpiryPolicy, getTimeout, setAddress, setCapabilities, setDurable, setDynamic, setDynamicNodeProperties, setExpiryPolicy, setTimeout`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.qpid.proton.amqp.transport.Target

`getAddress`

## Constructor Details

### Target

public Target()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### copy

public Target copy()

Specified by:
  `copy` in interface `Target`